package com.vcarecity.cvs.script;

import com.google.inject.Inject;
import com.zaxxer.hikari.HikariDataSource;

import java.sql.Connection;
import java.sql.Date;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * @author Kerry on 19/11/25
 */

public class TestInsertData {

    private final HikariDataSource dataSource;

    @Inject
    public TestInsertData(HikariDataSource dataSource) {
        this.dataSource = dataSource;
    }

    public void ins() throws SQLException {
        //language=SQL
        String sql = "insert into T_CHECK_RECORD_2 (STAMP, USER_ID, CHECK_POINTS_ID, IS_NORMAL, IS_LATENT_DANGER,\n" +
                "                              LATENT_DANGER_TYPE, LATENT_DANGER_DESC, UNDETECTED_NUM, LON, LAT, RULE_ID, IS_DEAL,\n" +
                "                              STARTDATE, ENDDATE, VALID_CHECK, UPDATESTAMP)\n" +
                "values (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";

        final Connection connection = dataSource.getConnection();
        final PreparedStatement preparedStatement = connection.prepareStatement(sql);

        preparedStatement.setDate(1, new Date(System.currentTimeMillis()));
        preparedStatement.setInt(2, 2834);
        preparedStatement.setInt(3, 21);
        preparedStatement.setInt(4, 0);
        preparedStatement.setInt(5, 8);
        preparedStatement.setInt(6, 0);
        preparedStatement.setString(7, "\t");
        preparedStatement.setInt(8, 0);
        preparedStatement.setDouble(9, 113.123456);
        preparedStatement.setDouble(10, 22.123456);
        preparedStatement.setInt(11, 0);
        preparedStatement.setInt(12, 0);
        preparedStatement.setDate(13, null);
        preparedStatement.setDate(14, null);
        preparedStatement.setInt(15, 0);
        preparedStatement.setDate(16, new Date(System.currentTimeMillis() + 1000));

        preparedStatement.execute();
        preparedStatement.close();
        connection.close();
    }
}
